Loading...
Searching...
No Matches
zigbee::ZigbeeManager::DeviceRegistration Struct Reference

Device Registration. More...

`import "ZigbeeManager.idl";`

## Public Attributes

int | sourceId
| the source id to add
string | key
| the OOB key (including CRC16)
int | slot
| the preferred slot. 0xFFFF for auto manage

## Detailed Description

Device Registration.

Definition at line 46 of file ZigbeeManager.idl.

## Member Data Documentation

## key

string zigbee::ZigbeeManager::DeviceRegistration::key

the OOB key (including CRC16)

Definition at line 48 of file ZigbeeManager.idl.

## slot

int zigbee::ZigbeeManager::DeviceRegistration::slot

the preferred slot. 0xFFFF for auto manage

Definition at line 49 of file ZigbeeManager.idl.

## sourceId

int zigbee::ZigbeeManager::DeviceRegistration::sourceId

the source id to add

Definition at line 47 of file ZigbeeManager.idl.

The documentation for this struct was generated from the following file:

- ZigbeeManager.idl